Loading...
Searching...
No Matches
kmer_hash.hpp File Reference

Provides seqan3::views::kmer_hash. More...

`#include <seqan3/alphabet/concept.hpp>`
`#include <seqan3/alphabet/range/hash.hpp>`
`#include <seqan3/search/kmer_index/shape.hpp>`
`#include <seqan3/utility/math.hpp>`
Include dependency graph for kmer_hash.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

constexpr auto | seqan3::views::kmer_hash
| Computes hash values for each position of a range via a given shape.

## Detailed Description

Provides seqan3::views::kmer_hash.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>

Hide me